Bug 448123 - vpnc denials.
vpnc denials.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-23 12:02 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 09:28:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2008-05-23 12:02:54 EDT
I have a cron job that restarts vpnc every few hours.
The problem is that vpnc spits text out when it starts up, so I end up with cron
mail.  If I redirect this to a file, I get this denial..

host=gelk type=AVC msg=audit(1211288879.660:32): avc: denied { append } for
pid=4492 comm="vpnc" path="/home/davej/vpnc.log" dev=md0 ino=48203701
scontext=unconfined_u:unconfined_r:vpnc_t:s0-s0:c0.c1023
tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file host=gelk type=SYSCALL
msg=audit(1211288879.660:32): arch=c000003e syscall=59 success=yes exit=0
a0=15dc7d0 a1=15dc3d0 a2=15d6770 a3=0 items=0 ppid=4488 pid=4492 auid=500 uid=0
gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=4 comm="vpnc"
exe="/usr/sbin/vpnc" subj=unconfined_u:unconfined_r:vpnc_t:s0-s0:c0.c1023
key=(null) 

If I redirect it to /dev/null, I get this ..

host=gelk type=AVC msg=audit(1211558402.647:1821): avc: denied { read } for
pid=19966 comm="vpnc" path="pipe:[1325021]" dev=pipefs ino=1325021
scontext=unconfined_u:unconfined_r:vpnc_t:s0-s0:c0.c1023
tcontext=system_u:system_r:crond_t:s0-s0:c0.c1023 tclass=fifo_file host=gelk
type=AVC msg=audit(1211558402.647:1821): avc: denied { write } for pid=19966
comm="vpnc" path="pipe:[1325022]" dev=pipefs ino=1325022
scontext=unconfined_u:unconfined_r:vpnc_t:s0-s0:c0.c1023
tcontext=system_u:system_r:crond_t:s0-s0:c0.c1023 tclass=fifo_file host=gelk
type=SYSCALL msg=audit(1211558402.647:1821): arch=c000003e syscall=59
success=yes exit=0 a0=2837460 a1=2837870 a2=28376b0 a3=20 items=0 ppid=19960
pid=19966 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
tty=(none) ses=271 comm="vpnc" exe="/usr/sbin/vpnc"
subj=unconfined_u:unconfined_r:vpnc_t:s0-s0:c0.c1023 key=(null)
Comment 1 Daniel Walsh 2008-05-27 09:28:59 EDT
Cron one is fixed in selinux-policy-3.3.1-56.fc9
and
selinux-policy-3.4.1-1.fc10.src.rpm

Note You need to log in before you can comment on or make changes to this bug.